Page MenuHomePhabricator

puppet panel: Can't add new prefixes
Closed, ResolvedPublic

Description

I wanted to add a deployment-puppetdb prefix in deployment-prep for T243226 to put hieradata in, but on form submission I just got redirected back to the project overview. Network tab shows this seems to be an auth problem:

Details

Related Gerrit Patches:
openstack/horizon/deploy : trainUpdate wmf-puppet-dashboard submodule
openstack/horizon/wmf-puppet-dashboard : trainPrefix tab: pass in self.request to render_to_string()

Event Timeline

Krenair created this task.Jan 21 2020, 10:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2020, 10:54 PM

Labweb logs show 2020-01-21 22:51:43.638032 Forbidden (CSRF token missing or incorrect.): /project/prefixpuppet/

Andrew added a comment.Mon, Feb 3, 7:30 PM

Yep, I can reproduce this and it's awful.

Change 569656 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-puppet-dashboard@train] Prefix tab: pass in self.request to render_to_string()

https://gerrit.wikimedia.org/r/569656

Change 569656 merged by Andrew Bogott:
[openstack/horizon/wmf-puppet-dashboard@train] Prefix tab: pass in self.request to render_to_string()

https://gerrit.wikimedia.org/r/569656

Change 569659 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Update wmf-puppet-dashboard submodule

https://gerrit.wikimedia.org/r/569659

Change 569659 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Update wmf-puppet-dashboard submodule

https://gerrit.wikimedia.org/r/569659

Mentioned in SAL (#wikimedia-operations) [2020-02-03T22:14:33Z] <andrew@deploy1001> Started deploy [horizon/deploy@8bffc7d]: Fix for T243355

Mentioned in SAL (#wikimedia-operations) [2020-02-03T22:18:01Z] <andrew@deploy1001> Finished deploy [horizon/deploy@8bffc7d]: Fix for T243355 (duration: 03m 29s)

Andrew closed this task as Resolved.Mon, Feb 3, 10:19 PM
Andrew claimed this task.